Imports System.Data.sqlclient
Public Class Form1

    Dim cn As SqlConnection
    Dim daAniversarios As SqlDataAdapter
    Dim ds As DataSet
    Dim dvAniversarios As DataView

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        cn = New SqlConnection(My.Settings.strConexao)
        daAniversarios = New SqlDataAdapter(My.Settings.strSQL, cn)

        ds = New DataSet
        daAniversarios.Fill(ds, "Clientes")
        carregaLista()

    End Sub
    Private Sub carregaLista()
        For i As Integer = 0 To ds.Tables("Clientes").Rows.Count - 1
            lvClientes.Items.Add(ds.Tables("Clientes").Rows(i)("Codigo"))
            lvClientes.Items(i).SubItems.Add(ds.Tables("Clientes").Rows(i)("Nome"))
            lvClientes.Items(i).SubItems.Add(Format(ds.Tables("Clientes").Rows(i)("Nascimento"), "Short Date"))
        Next
    End Sub

    Private Sub btnSelecionar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelecionar.Click
        Dim vCriterio As String

        vCriterio = "Nascimento >= " + "'" + Convert.ToString(Format(Me.dtpInicio.Value, "Short Date")) + "'"
        vCriterio &= " and Nascimento <= " + "'" + Convert.ToString(Format(Me.dtpFim.Value, "Short Date")) + "'"

        dvAniversarios = New DataView(ds.Tables("Clientes"), vCriterio, "Nascimento ASC", DataViewRowState.OriginalRows)

        Me.lvClientes.Items.Clear()

        For i As Integer = 0 To dvAniversarios.Count - 1
            lvClientes.Items.Add(dvAniversarios.Item(i).Item(0).ToString)
            lvClientes.Items(i).SubItems.Add(Format(dvAniversarios.Item(i).Item(1).ToString))
            lvClientes.Items(i).SubItems.Add(Format(dvAniversarios.Item(i).Item(2), "Short Date"))
        Next
    End Sub
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Close()
    End Sub
End Class
